#include <iostream>
#include <random>
#include <cstdio>

int main(int argc, const char *argv[]) {
	if (argc != 4) {
		std::cerr << "Usage: " << argv[0] << " N M seed" << std::endl;
		return 1;
	}

	int n = std::atoi(argv[1]);
	int m = std::atoi(argv[2]);
	int z = std::atoi(argv[3]);

	std::mt19937 r;
	r.seed(z);

	std::cout << n << std::endl;
	for (int i = 0; i < n; ++i) {
		std::cout << ' ' << r() % m;
	}
	std::cout << std::endl;
}
