#!/bin/bash

n=10
m=400000000
z=0
while true; do
	z=$(($z + 1))
	./gen $n $m $z >input.txt
	./sum <input.txt >output.txt
	if [ $? -ne 0 ]; then
		echo "Execution failed at n=$n n=$m z=$z"
		break
	fi
	python3 sum.py <input.txt >correct.txt
	diff -Zb output.txt correct.txt >/dev/null
	if [ $? -ne 0 ]; then
		echo "Wrong answer at n=$n n=$m z=$z"
		break
	fi
done
